giiwa/giiwa 软件分析报告

基础信息

项目名称:giiwa/giiwa

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1718115650979364864/1718115651017113600

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
PostgreSQL JDBC 对宿主不匹配的证书验证不恰当 MPS-2018-11656 CVE-2018-10936 高危
Oracle MySQL Connectors 访问控制错误漏洞 使用候选路径或通道进行的认证绕过 MPS-2018-13771 CVE-2018-3258 高危
Netty 存在 HTTP 请求走私漏洞 HTTP请求走私 MPS-2019-12064 CVE-2019-16869 高危
Apache Log4j SocketServer反序列化漏洞 反序列化 MPS-2019-17271 CVE-2019-17571 严重
Oracle MySQL Connectors 输入验证错误漏洞 使用不兼容类型访问资源(类型混淆) MPS-2019-4430 CVE-2019-2692 中危
mysql:mysql-connector-java XXE MPS-2020-38350 CVE-2021-2471 中危
Apache Commons Configuration 存在 RCE 漏洞 代码注入 MPS-2020-3836 CVE-2020-1953 严重
Apache Log4j2 SmtpAppender证书验证不当漏洞 证书验证不恰当 MPS-2020-6684 CVE-2020-9488 低危
dom4j SaxReader函数存在 XXE 漏洞 XXE MPS-2020-6967 CVE-2020-10683 严重
PgJDBC XXE MPS-2020-8204 CVE-2020-13692 高危
jsoup 不可达退出条件的循环(无限循环) MPS-2021-17634 CVE-2021-37714 高危
Netty Bzip2Decoder 存在资源穷尽漏洞 拒绝服务 MPS-2021-28116 CVE-2021-37136 高危
Netty 存在资源穷尽漏洞 拒绝服务 MPS-2021-28117 CVE-2021-37137 高危
Apache Commons Net 未授权敏感信息泄露 MPS-2021-28440 CVE-2021-37533 中危
Oracle MySQL 的 MySQL Connectors 存在授权不当漏洞 授权机制不恰当 MPS-2021-36587 CVE-2022-21363 中危
quarkus 远程代码执行漏洞 初始化不恰当 MPS-2021-37082 CVE-2022-21724 高危
Apache Log4j JMSAppender反序列化漏洞 反序列化 MPS-2021-38359 CVE-2021-4104 高危
org.apache.commons:commons-dbcp2 存在信息暴露漏洞 未授权敏感信息泄露 MPS-2022-12024 低危
io.netty:netty-handler 存在证书验证不恰当漏洞 证书验证不恰当 MPS-2022-12067 中危
com.google.code.gson:gson 存在BigDecimal拒绝服务漏洞 反序列化 MPS-2022-12287 CVE-2022-25647 高危
Apache Log4j JDBCAppender SQL注入漏洞 SQL注入 MPS-2022-1444 CVE-2022-23305 严重
Apache Log4j Chainsaw反序列化漏洞 反序列化 MPS-2022-1445 CVE-2022-23307 高危
Apache Log4j 反序列化漏洞 反序列化 MPS-2022-1446 CVE-2022-23302 高危
Apache Commons Configuration 任意代码执行漏洞 表达式语言注入 MPS-2022-19214 CVE-2022-33980 中危
Netty 存在信息泄露漏洞 将资源暴露给错误范围 MPS-2022-3790 CVE-2022-24823 中危
jsoup XSS MPS-2022-51547 CVE-2022-36033 中危
pgjdbc 不安全的临时文件 MPS-2022-58583 CVE-2022-41946 中危
Apache Commons Text 反序列化 MPS-2022-59712 CVE-2022-42889 严重
Apache Commons FileUpload 不加限制或调节的资源分配 MPS-2023-3553 CVE-2023-24998 中危
Netty 资源管理错误漏洞 拒绝服务 MPS-9u07-bna1 CVE-2023-34462 中危
Hot Rod 安全漏洞 证书验证不恰当 MPS-b7oj-adm3 CVE-2023-4586 高危
Apache ActiveMQ 反序列化 MPS-bd9c-7xsh CVE-2023-46604 严重
ZooKeeper SASL 身份验证绕过漏洞 通过用户控制密钥绕过授权机制 MPS-bznr-672x CVE-2023-44981 高危
Bouncy Castle 信任管理问题漏洞 证书验证不恰当 MPS-i6w7-d48e CVE-2023-33201 中危
Guava 创建拥有不安全权限的临时文件 MPS-mfku-xzh3 CVE-2023-2976 中危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
org.apache.activemq:activemq-client 5.17.1 5.17.6 直接依赖 强烈建议修复
org.apache.commons:commons-configuration2 2.5 2.8 直接依赖 建议修复
dom4j:dom4j 1.6.1 直接依赖 建议修复
org.apache.zookeeper:zookeeper 3.6.3 3.7.2 间接依赖 建议修复
mysql:mysql-connector-java 6.0.6 8.0.28 直接依赖 建议修复
org.jboss.netty:netty 3.2.8.Final 间接依赖 建议修复
org.postgresql:postgresql 9.4.1212 42.3.8 直接依赖 建议修复
log4j:log4j 1.2.17 直接依赖 建议修复
commons-fileupload:commons-fileupload 1.4 1.5 直接依赖 建议修复
io.netty:netty-codec 4.1.63.Final 4.1.68.Final 间接依赖 建议修复
io.netty:netty-handler 4.1.63.Final 间接依赖 建议修复
org.apache.commons:commons-text 1.6 1.10.0 间接依赖 建议修复
com.google.code.gson:gson 2.8.6 2.8.9 直接依赖 可选修复
org.apache.commons:commons-dbcp2 2.6.0 2.9.0 直接依赖 可选修复
commons-net:commons-net 3.6 3.9.0 直接依赖 可选修复
org.bouncycastle:bcprov-jdk18on 1.71 1.74 直接依赖 可选修复
com.google.guava:guava 30.1.1-jre 32.0.0-jre 间接依赖 可选修复
io.netty:netty-common 4.1.63.Final 4.1.77.Final 间接依赖 可选修复
org.jsoup:jsoup 1.10.2 1.15.3 直接依赖 可选修复

许可证风险

许可证类型 相关组件 许可证风险
MIT 8
Apache-2.0 52
BSD-3-Clause 5
LGPL-2.1 2
自定义许可证 10
BSD-2-Clause 1

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
org.java-websocket:Java-WebSocket 1.5.2 间接依赖 maven
WINSPOOL.DRV 间接依赖
com.google.guava:guava 30.1.1-jre 间接依赖 maven
io.netty:netty-buffer 4.1.63.Final 间接依赖 maven
com.alibaba:fastjson 1.2.83 间接依赖 maven
org.apache.zookeeper:zookeeper-jute 3.6.3 间接依赖 maven
commons-logging:commons-logging 1.2 间接依赖 maven
org.snmp4j:snmp4j 3.6.4 间接依赖 maven
redis.clients:jedis 3.6.3 直接依赖 maven
org.ow2.asm:asm-util 7.3.1 间接依赖 maven
SHELL32.DLL 间接依赖
ch.qos.reload4j:reload4j 1.2.19 直接依赖 maven
org.apache.curator:curator-framework 5.2.0 间接依赖 maven
VERSION.dll 间接依赖
com.emc.ecs:nfs-client 1.0.3 直接依赖 maven
io.netty:netty-handler 4.1.63.Final 间接依赖 maven
org.slf4j:slf4j-log4j12 1.7.36 直接依赖 maven
net.java.dev.jna:jna 5.6.0 直接依赖 maven
USER32.DLL 间接依赖
COMCTL32.dll 间接依赖
com.google.guava:failureaccess 1.0.1 间接依赖 maven
org.apache.activemq:activemq-client 5.17.1 直接依赖 maven
COMCTL32.DLL 间接依赖
xml-apis:xml-apis 1.0.b2 间接依赖 maven
org.openjdk.nashorn:nashorn-core 15.3 直接依赖 maven
org.bouncycastle:bcprov-jdk18on 1.71 直接依赖 maven
org.apache.httpcomponents:httpmime 4.5.13 直接依赖 maven
org.apache.commons:commons-lang3 3.9 直接依赖 maven
USER32.dll 间接依赖
com.google.code.findbugs:jsr305 3.0.2 间接依赖 maven
libc.so.6.1 间接依赖
GDI32.dll 间接依赖
commons-fileupload:commons-fileupload 1.4 直接依赖 maven
SHELL32.dll 间接依赖
org.postgresql:postgresql 9.4.1212 直接依赖 maven
org.mariadb.jdbc:mariadb-java-client 2.7.5 直接依赖 maven
com.google.zxing:core 3.4.1 直接依赖 maven
org.apache.curator:curator-client 5.2.0 间接依赖 maven
org.graylog2:syslog4j 0.9.60 直接依赖 maven
org.apache.httpcomponents:httpclient 4.5.13 直接依赖 maven
org.apache.geronimo.specs:geronimo-j2ee-management 间接依赖 maven
commons-io:commons-io 2.8.0 直接依赖 maven
NETAPI32.dll 间接依赖
org.mongodb:mongo-java-driver 3.12.11 直接依赖 maven
org.apache.commons:commons-text 1.6 间接依赖 maven
org.apache.zookeeper:zookeeper 3.6.3 间接依赖 maven
org.apache.curator:curator-recipes 5.2.0 直接依赖 maven
GDI32.DLL 间接依赖
io.netty:netty-resolver 4.1.63.Final 间接依赖 maven
mysql:mysql-connector-java 6.0.6 直接依赖 maven
org.ow2.asm:asm 7.3.1 间接依赖 maven
org.apache.httpcomponents:httpcore 4.4.13 直接依赖 maven
comdlg32.dll 间接依赖
com.google.j2objc:j2objc-annotations 1.3 间接依赖 maven
log4j:log4j 1.2.17 直接依赖 maven
io.netty:netty-transport-native-epoll 4.1.63.Final 间接依赖 maven
org.jboss.netty:netty 3.2.8.Final 间接依赖 maven
com.github.junrar:junrar 7.5.1 直接依赖 maven
org.apache.velocity:velocity-engine-core 2.3 直接依赖 maven
javax.activation:activation 1.1 间接依赖 maven
com.google.errorprone:error 间接依赖 maven
org.checkerframework:checker-qual 3.8.0 间接依赖 maven
libnm.so 间接依赖
org.apache.commons:commons-dbcp2 2.6.0 直接依赖 maven
joda-time:joda-time 2.9.9 间接依赖 maven
dom4j:dom4j 1.6.1 直接依赖 maven
libnsl.so.1 间接依赖
org.bouncycastle:bcpkix-jdk18on 1.71 直接依赖 maven
com.taosdata.jdbc:taos-jdbcdriver 2.0.40 直接依赖 maven
pdh.dll 间接依赖
io.netty:netty-transport 4.1.63.Final 间接依赖 maven
libc.so.6 间接依赖
org.jsoup:jsoup 1.10.2 直接依赖 maven
com.jcraft:jsch 0.1.55 直接依赖 maven
org.apache.commons:commons-pool2 2.9.0 直接依赖 maven
org.bouncycastle:bcutil-jdk18on 1.71 间接依赖 maven
WINMM.DLL 间接依赖
com.google.code.gson:gson 2.8.6 直接依赖 maven
KERNEL32.dll 间接依赖
javax.mail:mail 1.4 直接依赖 maven
com.dameng:Dm8JdbcDriver18 8.1.1.49 直接依赖 maven
io.netty:netty-common 4.1.63.Final 间接依赖 maven
org.apache.yetus:audience-annotations 0.5.0 间接依赖 maven
org.ow2.asm:asm-analysis 7.3.1 间接依赖 maven
org.ow2.asm:asm-tree 7.3.1 间接依赖 maven
io.netty:netty-codec 4.1.63.Final 间接依赖 maven
libkvm.so.3 间接依赖
org.fusesource.hawtbuf:hawtbuf 1.11 间接依赖 maven
commons-net:commons-net 3.6 直接依赖 maven
com.googlecode.xmemcached:xmemcached 2.4.7 直接依赖 maven
commons-lang:commons-lang 2.6 间接依赖 maven
msvcrt.dll 间接依赖
org.snmp4j:snmp4j-agent 3.5.4 直接依赖 maven
org.slf4j:slf4j-reload4j 1.7.36 直接依赖 maven
org.slf4j:slf4j-api 1.7.36 直接依赖 maven
libkstat.so.1 间接依赖
OLE32.DLL 间接依赖
ADVAPI32.dll 间接依赖
org.apache.geronimo.specs:geronimo-jms 间接依赖 maven
commons-codec:commons-codec 1.15 直接依赖 maven
org.ow2.asm:asm-commons 7.3.1 间接依赖 maven
libkvm.so.2 间接依赖
com.google.guava:listenablefuture 9999.0-empty-to-avoid-conflict-with-guava 间接依赖 maven
SHLWAPI.DLL 间接依赖
org.apache.commons:commons-configuration2 2.5 直接依赖 maven
io.netty:netty-transport-native-unix-common 4.1.63.Final 间接依赖 maven
org.fusesource:sigar 1.6.4 直接依赖 maven
ole32.dll 间接依赖
(0)
上一篇 2023年10月28日
下一篇 2023年10月28日

相关推荐